PDA

View Full Version : SLE for Desktop FWUPDATE support?



lollipop2185
23-May-2018, 01:56
Hi,

I am working for a company that tests laptops and currently looking to add Suse to list of OS we test

As a requirement , we need to prove that FW update is supported by Suse (latest version SP3)

I would just like to ask for help as to which FWupdate package should I install so LVFS / manual FW update commands are enabled?
We have tried FWupdate RPMs from opensuse, ubuntu and others but the RPMs either does not work after install or have lib dependencies that are difficult to find

from the info we have, fwupdate is not included in the SP3 package (even SP2) by default, and that is why fwupdate / fwupdmgr commands do not work

Any help to point us to the right RPM (or just direction of where to look) would be appreciated

Thank you very much

malcolmlewis
23-May-2018, 04:28
Hi,

I am working for a company that tests laptops and currently looking to add Suse to list of OS we test

As a requirement , we need to prove that FW update is supported by Suse (latest version SP3)

I would just like to ask for help as to which FWupdate package should I install so LVFS / manual FW update commands are enabled?
We have tried FWupdate RPMs from opensuse, ubuntu and others but the RPMs either does not work after install or have lib dependencies that are difficult to find

from the info we have, fwupdate is not included in the SP3 package (even SP2) by default, and that is why fwupdate / fwupdmgr commands do not work

Any help to point us to the right RPM (or just direction of where to look) would be appreciated

Thank you very much
Hi
Doesn't look like it's available for SLED 12 SP3 (But is listed on the Build Service), won't be long before SLED 15 is available which has fwupdate in the Basesystem Module which may be a better option in the near future?

Let me ask my SUSE contacts.

lollipop2185
23-May-2018, 05:16
Hi Malcolm,

Thanks again for your prompt reply. I appreciate the support.

Thank you for the SLED 15 fwupdate info. We will just keep looking for an alternative fwupdate package from another distributor hoping for it to work

lollipop2185
24-May-2018, 05:58
just an update

We have tried different fwupdate packages (and required dependencies) from a lot of Linux OS (mostly from opensuse) and Suse terminal is finally accepting the "fwupdate" command.

Only problem is :
Result of fwupdate -s (https://drive.google.com/open?id=1_k9IoM7Z06oeL071B-15D3BwTtBHNGIT)

it says update is not supported? [we have tried different systems and got same result]

upon checking the c files for fwupdate library, [ Here (https://github.com/rhboot/fwupdate/blob/master/linux/fwupdate.c) and Here (https://github.com/rhboot/fwupdate/blob/master/linux/libfwup.c) ] i found out that it is caused by ESRT not enabled or present .

Using this info, i checked online and learned that ESRT is supported starting Linux 4.2 kernel cycle.
I checked SLED SP3 using "uname -r" command and got 4.4.73-5-default


is there anyone who successfully updated their FW on SLED SP3?

lollipop2185
30-May-2018, 03:02
when searching Yast online update, there was no FWUPDATE package, FWDUPDMGR package and also package from other distributions have issue with Suse .

I guess Suse SP3 cannot update its FW as of now

malcolmlewis
30-May-2018, 03:46
when searching Yast online update, there was no FWUPDATE package, FWDUPDMGR package and also package from other distributions have issue with Suse .

I guess Suse SP3 cannot update its FW as of now
Hi
That would seem to be the case, you can always build from the src rpm locally on a SLE 12 SP3 system?

This is the version in SLE 15;
https://build.opensuse.org/package/show/Base%3ASystem/fwupdate

https://build.opensuse.org/package/binary/download/Base:System/fwupdate/openSUSE_Factory/x86_64/fwupdate-9+git21.gcd8f7d7-34.2.src.rpm



rpmbuild --rebuild fwupdate-9+git21.gcd8f7d7-34.2.src.rpm


Or use OBS to copy thew package and build for your targets...

lollipop2185
01-Jun-2018, 01:24
Hi Malcolm,

Thank you very much for your support but unfortunately, management has decided to drop support for SuSE for now since it cannot support fwupd (and LVFS) as of current release

Our team appreciates your quick reply to our inquiries for the past few days